From: Sam James <sam@gentoo.org>
Date: Tue, 28 Sep 2021 03:40:19 +0100
Subject: [PATCH] Rebased versions of upstream Makefile patches

https://git.ghostscript.com/?p=ghostpdl.git;a=commit;h=cf868c13c03a781243c1d8764cbeba3a49ffb92e
https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=c8285e6e9cd42277ae298475ad0c96da009b0e98
https://bugs.gentoo.org/800125
--- a/devices/devs.mak
+++ b/devices/devs.mak
@@ -669,7 +669,7 @@ $(DD)txtwrite.dev : $(ECHOGS_XE) $(txtwrite_) $(GDEV)\
 $(DEVOBJ)gdevtxtw.$(OBJ) : $(DEVVECSRC)gdevtxtw.c $(GDEV) $(gdevkrnlsclass_h) \
   $(memory__h) $(string__h) $(gp_h) $(gsparam_h) $(gsutil_h) \
   $(gsdevice_h) $(gxfont_h) $(gxfont0_h) $(gstext_h) $(gxfcid_h)\
-  $(gxgstate_h) $(gxpath_h) $(gdevagl_h) $(DEVS_MAK) $(MAKEDIRS) $(DEVVECSRC)doc_common.h
+  $(gxgstate_h) $(gxpath_h) $(gdevagl_h) $(DEVS_MAK) $(DEVVECSRC)doc_common.h $(MAKEDIRS)
 	$(DEVCC) $(DEVO_)gdevtxtw.$(OBJ) $(C_) $(DEVVECSRC)gdevtxtw.c
 
 $(DEVOBJ)gdevagl.$(OBJ) : $(DEVVECSRC)gdevagl.c $(GDEV)\
@@ -684,14 +684,14 @@ gdevagl_h=$(DEVVECSRC)gdevagl.h
 docxwrite_=$(DEVOBJ)gdevdocxw.$(OBJ) $(DEVOBJ)gdevagl.$(OBJ) $(DEVOBJ)doc_common.$(OBJ)
 
 $(DD)docxwrite.dev : $(ECHOGS_XE) $(docxwrite_) $(GDEV)\
- $(gdevagl_h) $(DEVS_MAK) $(MAKEDIRS) $(EXTRACT_OBJS)
+ $(gdevagl_h) $(DEVS_MAK) $(EXTRACT_OBJS) $(MAKEDIRS)
 	$(SETDEV2) $(DD)docxwrite $(docxwrite_) $(EXTRACT_OBJS)
 
 $(DEVOBJ)gdevdocxw.$(OBJ) : $(DEVVECSRC)gdevdocxw.c $(GDEV) $(gdevkrnlsclass_h) \
   $(memory__h) $(string__h) $(gp_h) $(gsparam_h) $(gsutil_h) \
   $(gsdevice_h) $(gxfont_h) $(gxfont0_h) $(gstext_h) $(gxfcid_h)\
-  $(gxgstate_h) $(gxpath_h) $(gdevagl_h) $(DEVS_MAK) $(MAKEDIRS) \
-  $(DEVVECSRC)doc_common.h
+  $(gxgstate_h) $(gxpath_h) $(gdevagl_h) $(DEVS_MAK) $(DEVVECSRC)doc_common.h \
+  $(MAKEDIRS)
 	$(DEVCC) $(DEVO_)gdevdocxw.$(OBJ) $(C_) $(DEVVECSRC)gdevdocxw.c
 
 # Shared code used by txtwrite and docxwrite.
@@ -699,7 +699,7 @@ $(DEVOBJ)gdevdocxw.$(OBJ) : $(DEVVECSRC)gdevdocxw.c $(GDEV) $(gdevkrnlsclass_h)
 $(DEVOBJ)doc_common.$(OBJ) : $(DEVVECSRC)doc_common.c $(GDEV) $(gdevkrnlsclass_h) \
   $(memory__h) $(string__h) $(gp_h) $(gsparam_h) $(gsutil_h) \
   $(gsdevice_h) $(gxfont_h) $(gxfont0_h) $(gstext_h) $(gxfcid_h)\
-  $(gxgstate_h) $(gxpath_h) $(gdevagl_h) $(DEVS_MAK) $(MAKEDIRS) $(DEVVECSRC)doc_common.h
+  $(gxgstate_h) $(gxpath_h) $(gdevagl_h) $(DEVS_MAK) $(DEVVECSRC)doc_common.h $(MAKEDIRS)
 	$(DEVCC) $(DEVO_)doc_common.$(OBJ) $(C_) $(DEVVECSRC)doc_common.c
 
 
--- a/devices/extract.mak
+++ b/devices/extract.mak
@@ -1,37 +1,37 @@
 extract_cc = $(CC) $(CCFLAGS) $(I_)$(EXTRACT_DIR)/include$(_I) $(I_)$(ZSRCDIR)$(_I) $(O_)
 extract_out_prefix = $(GLOBJDIR)$(D)extract_
 
-$(extract_out_prefix)alloc.$(OBJ):          $(EXTRACT_DIR)/src/alloc.c
+$(extract_out_prefix)alloc.$(OBJ):          $(EXTRACT_DIR)/src/alloc.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/alloc.c
 
-$(extract_out_prefix)astring.$(OBJ):        $(EXTRACT_DIR)/src/astring.c
+$(extract_out_prefix)astring.$(OBJ):        $(EXTRACT_DIR)/src/astring.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/astring.c
 
-$(extract_out_prefix)buffer.$(OBJ):         $(EXTRACT_DIR)/src/buffer.c
+$(extract_out_prefix)buffer.$(OBJ):         $(EXTRACT_DIR)/src/buffer.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/buffer.c
 
-$(extract_out_prefix)docx.$(OBJ):           $(EXTRACT_DIR)/src/docx.c
+$(extract_out_prefix)docx.$(OBJ):           $(EXTRACT_DIR)/src/docx.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/docx.c
 
-$(extract_out_prefix)docx_template.$(OBJ):  $(EXTRACT_DIR)/src/docx_template.c
+$(extract_out_prefix)docx_template.$(OBJ):  $(EXTRACT_DIR)/src/docx_template.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/docx_template.c
 
-$(extract_out_prefix)extract.$(OBJ):        $(EXTRACT_DIR)/src/extract.c
+$(extract_out_prefix)extract.$(OBJ):        $(EXTRACT_DIR)/src/extract.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/extract.c
 
-$(extract_out_prefix)join.$(OBJ):           $(EXTRACT_DIR)/src/join.c
+$(extract_out_prefix)join.$(OBJ):           $(EXTRACT_DIR)/src/join.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/join.c
 
-$(extract_out_prefix)mem.$(OBJ):            $(EXTRACT_DIR)/src/mem.c
+$(extract_out_prefix)mem.$(OBJ):            $(EXTRACT_DIR)/src/mem.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/mem.c
 
-$(extract_out_prefix)outf.$(OBJ):           $(EXTRACT_DIR)/src/outf.c
+$(extract_out_prefix)outf.$(OBJ):           $(EXTRACT_DIR)/src/outf.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/outf.c
 
-$(extract_out_prefix)xml.$(OBJ):            $(EXTRACT_DIR)/src/xml.c
+$(extract_out_prefix)xml.$(OBJ):            $(EXTRACT_DIR)/src/xml.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/xml.c
 
-$(extract_out_prefix)zip.$(OBJ):            $(EXTRACT_DIR)/src/zip.c
+$(extract_out_prefix)zip.$(OBJ):            $(EXTRACT_DIR)/src/zip.c $(MAKEDIRS)
 	$(extract_cc)$@ $(C_) $(EXTRACT_DIR)/src/zip.c
 
 EXTRACT_OBJS = \
